Summary: TMDA email interface scripts.
Name: tmda-email
Version: 0.10
Release: 1
Source0: tmda-email-%{version}-%{release}.tar.gz
License: GPL
Group: Utilities/System
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildArchitectures: noarch
Packager: David Summers <david@summersoft.fay.ar.us>
Url: http://summersoft.fay.ar.us:81/repos/tmda-email
Requires: perl
Requires: qmail
Requires: tmda

%description
tmda-email is an email interface to the TMDA (Tagged Message Delivery Agent)
(see http://tmda.net for more information on TMDA.

%changelog
* Mon Jun 23 2003 David Summers <david@summersoft.fay.ar.us> 0.10-1
- Changes to sync with TMDA-CGI package.
- Renamed the following files:
  lists/whitelist-confirmed -> lists/confirmed.
  lists/whiltelist-mailinglists -> Deleted.  Use lists/whitelist.
- Added lists/blacklist and lists/revoked in filter/incoming.
- Fixed crypt_key to be generated correctly.
- Fixed config file to be copied.

* Tue Jun 05 2003 David Summers <david@summersoft.fay.ar.us> 0.9-1
- Fixed whitelist regular expression file name checker to allow for optional
  "status" suffix for qmail message files.

* Tue Jun 03 2003 David Summers <david@summersoft.fay.ar.us> 0.8-1
- If the whitelist function can't find the file, return an error message to
  the user.

* Tue Jun 03 2003 David Summers <david@summersoft.fay.ar.us> 0.7-1
- Changed "whitelist" function to save the From: header instead of the
  envelope (Return-Path) header.

* Sat May 24 2003 David Summers <david@summersoft.fay.ar.us> 0.6-1
- Whitelist function now strips <> characters to work correctly with TMDA.
- Summary now provides count of new messages in pending queue.
- Summary now provides links to get whitelist, whitelist-confirmed, and another   summary listing.

* Fri Oct 18 2002 David Summers <david@summersoft.fay.ar.us> 0.5-1
- Documented new "get" functions.

* Fri Oct 18 2002 David Summers <david@summersoft.fay.ar.us> 0.4-1
- Fixed syntax errors in tmda-mail-proc and fixed tmda-get functionality to
  really work.
- Changed tmda-email-maildrop to have optional -html flag.

* Tue Oct 01 2002 David Summers <david@summersoft.fay.ar.us> 0.3-1
- Changed .tmda/lists file names from whitelist_confirmed to whitelist-confirmed
  and whitelist_mailinglists to whitelist-mailinglists.
- Added get-whitelist/get-whitelist-confirmed feature.

* Tue Oct 01 2002 David Summers <david@summersoft.fay.ar.us> 0.2-1
- Switched from user-tmdaproc-command to user-tmda-command to make it easier
  for users to remember how to send commands should they want/need to do it
  manually.
- Added user-tmda-get-summary command which returns the TMDA Summary.

* Mon Sep 30 2002 David Summers <david@summersoft.fay.ar.us> 0.1-1
- Initial Version - Taken from initial scripts by Bernard Johnson.

%prep
%setup -n %{name}-%{version}-%{release}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p $RPM_BUILD_ROOT/etc/qmail/alias
mkdir -p $RPM_BUILD_ROOT/usr/lib/tmda-email
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin

# Set up user accessable scripts
cp $RPM_BUILD_DIR/%{name}-%{version}-%{release}/tmda-email-setup $RPM_BUILD_ROOT/usr/bin

# Set up system scripts.
cp tmda-mail-proc $RPM_BUILD_ROOT/usr/sbin
cp tmda-pending-mail $RPM_BUILD_ROOT/usr/sbin
cp tmda-email-maildrop $RPM_BUILD_ROOT/usr/sbin

# Set up example directory
cp -r example $RPM_BUILD_ROOT/usr/lib/tmda-email/example

# Set up daily cron job
cp tmda-email.cron.daily $RPM_BUILD_ROOT/etc/cron.daily/tmda-email

# Set up blackhole mail address for qmail.
cp example/.qmail-tmda-blackhole $RPM_BUILD_ROOT/etc/qmail/alias

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO
/etc/cron.daily/*
/etc/qmail/alias/.qmail-tmda-blackhole
/usr/lib/tmda-email
/usr/bin/*
/usr/sbin/*
